--- 4.4.6/exim.conf-SpamBlockerTechnology-v4.4.6.txt	2016-10-18 16:10:19.000000000 -0500
+++ 4.5.0/exim.conf-SpamBlockerTechnology-v4.5.0.txt	2016-10-18 16:10:19.000000000 -0500
@@ -1,5 +1,5 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.4.6
-# Dec 5, 2015
+# SpamBlockerTechnology* powered exim.conf, Version 4.5.0
+# Oct 17, 2016
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
 # http://files.directadmin.com/services/exim.pl version 21 or higher
@@ -182,10 +182,6 @@
 #exim.variables.conf
 
 #EDIT#23:
-tls_certificate = /etc/exim.cert
-tls_privatekey = /etc/exim.key
-openssl_options = +no_sslv2 +no_sslv3
-tls_require_ciphers = ALL:!ADH:RC4+RSA:+HIGH:+MEDIUM:-LOW:-SSLv2:-EXP
 tls_advertise_hosts = *
 #auth_over_tls_hosts = *
 
@@ -690,41 +686,60 @@
   transport = userautoreply
   unseen
 
-virtual_aliases_nostar:
+#forwarder exists
+#user exists
+virtual_user_unseen:
+  driver = accept
+  condition = ${if exists{/etc/virtual/${domain}/passwd}{1}{0}}
+  condition = ${lookup{$local_part}lsearch{/etc/virtual/${domain}/aliases}{1}{0}}
+  condition = ${perl{save_virtual_user}}
+  domains = lsearch;/etc/virtual/domainowners
+  group = mail
+  retry_use_local_part
+  transport = dovecot_lmtp_udp
+  unseen
+
+#forwarder exists
+#user does not exist
+virtual_aliases_nouser_nostar:
   driver = redirect
   .include_if_exists /etc/exim.srs.forward.conf
   allow_defer
   allow_fail
-  data = ${if exists{/etc/virtual/${domain}/aliases}{${lookup{$local_part}lsearch{/etc/virtual/${domain}/aliases}}}}
+  condition = ${if exists{/etc/virtual/${domain}/passwd}{1}{0}}
+  condition = ${lookup{$local_part}lsearch{/etc/virtual/${domain}/aliases}{1}{0}}
+  condition = ${lookup{$local_part}lsearch{/etc/virtual/${domain}/passwd}{0}{1}}
+  data = ${lookup{$local_part}lsearch{/etc/virtual/$domain/aliases}}
   file_transport = address_file
   group = mail
   pipe_transport = virtual_address_pipe
   retry_use_local_part
-  unseen
-  #include_domain = true
 
+#forwarder does not exist
+#user exists
 virtual_user:
   driver = accept
+  condition = ${if exists{/etc/virtual/${domain}/passwd}{1}{0}}
+  condition = ${lookup{$local_part}lsearch{/etc/virtual/${domain}/aliases}{0}{1}}
   condition = ${perl{save_virtual_user}}
   domains = lsearch;/etc/virtual/domainowners
   group = mail
   retry_use_local_part
   transport = dovecot_lmtp_udp
 
-# accept only if local_part is not in the aliases file
-# (this implements catch-all)
+#wildcard forwarder
+#user should have already been caught above
 virtual_aliases:
+  #only the wildcard will be used here
   driver = redirect
   .include_if_exists /etc/exim.srs.forward.conf
   allow_defer
   allow_fail
-  condition = ${if eq {}{${if exists{/etc/virtual/${domain}/aliases}{${lookup{$local_part}lsearch{/etc/virtual/${domain}/aliases}}}}}{yes}{no}}
   data = ${if exists{/etc/virtual/$domain/aliases}{${lookup{$local_part}lsearch*{/etc/virtual/$domain/aliases}}}}
   file_transport = address_file
   group = mail
   pipe_transport = virtual_address_pipe
   retry_use_local_part
-  #include_domain = true
 
 #COMMENT#51:
 drop_solo_alias:
